package com.example.punyaria;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import androidx.annotation.NonNull;

public class KonselingDialog extends Dialog {

    private Context context;
    private KonselingDialogListener listener;

    public KonselingDialog(@NonNull Context context, KonselingDialogListener listener) {
        super(context);
        this.context = context;
        this.listener = listener;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.dialog_konseling);

        ListView konselingListView = findViewById(R.id.konselingListView);
        String[] konselingOptions = {"Kekerasan Fisik", "Kekerasan Psikis", "Kekerasan Seksual", "Penelantaran", "Perdagangan Manusia", "Anak Berhadapan dengan Hukum"};

        // Menggunakan kustom layout untuk tata letak item list
        ArrayAdapter<String> adapter = new ArrayAdapter<>(context, R.layout.list_item_konseling, konselingOptions);
        konselingListView.setAdapter(adapter);

        konselingListView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                // Ketika item di ListView dipilih, ambil nilai konseling dan kirimkan ke listener
                String selectedKonseling = konselingOptions[position];
                listener.onKonselingSelected(selectedKonseling);
                dismiss(); // Tutup dialog setelah memilih
            }
        });
    }

    // Interface untuk menangani pemilihan konseling
    public interface KonselingDialogListener {
        void onKonselingSelected(String konseling);
    }
}
